body{
  font-family: "游ゴシック";
  margin: 0;
  padding: 0;
  background-color: white;
}

header{
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 1000;
  display: flex;
  align-items: center;
  justify-content: space-between;
  background: white;
}

header a img{
  width: auto;
  height: 60px;
  margin-left: 30px;
  margin-top: 10px;
  margin-bottom: 10px;
}

#nav-container{
    position: relative;
    z-index: 1000;
}

nav{
    position: fixed;
    top: 0;
    right: -400px;
    width: 400px;
    height: 100vh;
    background: white;
    z-index: 1001;
}

nav ul{
    list-style: none;
    padding-top: 50px;
    padding-left: 50px;
}

nav ul li {
    margin-top: 20px;
    margin-right: 50px;
    padding-top: 20px;
    padding-bottom: 20px;
    padding-left: 20px;
    border-radius: 10px;
}

nav ul li a{
    text-decoration: none;
    color: black;
    display: block;
}

nav ul li:hover{
    background-color: rgb(65, 105, 225);
    font-weight: bold;
}

nav ul li:hover a{
    color: white;
}

.toggle-button{
  position: fixed;
  top: 15px;
  right: 30px;
  width: 50px;
  height: 50px;
  cursor: pointer;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 1002;
}

.toggle-button span{
  position: absolute;
  height: 3px;
  background: black;
  border-radius: 3px;
  transition: 0.3s;
}

.toggle-button span:nth-child(1) {
  width: 30px;
  top: 16px;
}

.toggle-button span:nth-child(2) {
  width: 30px;
  top: 24px;
}

.toggle-button span:nth-child(3) {
  width: 30px;
  top: 32px;
}

#mask {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0,0,0,0.3);
  display: none;
  z-index: 999;
}

.open nav {
  right: 0;
}

.open #mask {
  display: block;
}

.open .toggle-button span:nth-child(1) {
  top: 50%;
  transform: rotate(-45deg);
}

.open .toggle-button span:nth-child(2) {
  opacity: 0;
}

.open .toggle-button span:nth-child(3) {
  top: 50%;
  transform: rotate(45deg);
}

main{
    padding-top: 80px;
    margin-bottom: 100px;
}

.page-link{
  display: flex;
  margin-left: 30px;
}

.page-link a{
  color: black;
  text-decoration: none;
}

.page-link a:hover{
  color: #828286;
}

.top-title{
  text-align: end;
  margin-right: 10%;
  margin-bottom: 100px;
  border-bottom: 5px solid black;
}

.top-title p{
  font-size: 20px;
  margin-bottom: -60px;
}

.top-title h1{
  font-size: 64px;
  margin-bottom: -15px;
}

.slideshow-container{
    position: relative;
    margin: 32px 0;
    background: black;
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 360px;
}

.slides-photos{
    position: relative;
    width: 100%;
    max-width: 1000px;
    height: 500px;
}

.slide{
    position: absolute;
    inset: 0;
    opacity: 0;
    transition: opacity 2.0s ease-in-out;
    background-size: cover;
    background-position: center;
}

.slide.active{
    opacity: 1;
    z-index: 1;
}

.nav-btn{
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  background: rgb(255, 255, 255,0);
  border: none;
  width: 100px;
  height: 100px;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
  color: white;
  font-size: 40px;
  padding: 0;
  transition: background .2s;
}

.nav-btn:hover{
    background: rgb(255, 255, 255,0.1);
}

.nav-left{
  left: 0;
}

.nav-right{
  right: 0;
}

.services-text{
  margin: 0 80px;
}

.services-text p{
  line-height: 35px;
  letter-spacing: 3px;
}

footer{
    border-top: 2px solid black;
}

.footer-main{
    display: flex;
    gap: 15%;
    justify-content: center;
}

.pc-br{
    display: inline;
}

.link-container{
    display: flex;
    gap: 10%;
}

.link-container a img{
    width: 40px;
    height: 40px;
    margin: 20px;
}

.address-container{
    margin-left: 20px;
}

.GoogleMap{
    margin: 20px 0;
}

.footer-nav{
    text-align: end;
}

.footer-nav a{
    color: black;
    text-decoration: none;
    margin-right: 20px;
    line-height: 2;
}

.footer-nav a:hover{
    text-decoration: underline;
}

.footer-sub p{
    margin: 0;
    text-align: center;
    line-height: 1.5;
    background-color: black;
    color: white;
}

.Map-URL{
    display: none;
}

@media screen and (max-width: 768px) {
    header{
      position: fixed;
      top: 0;
      left: 0;
      width: 100%;
      z-index: 1000;
      display: flex;
      align-items: center;
      justify-content: space-between;
      background: white;
    }

    header a img {
      width: auto;
      height: 30px;
      margin-left: 20px;
      margin-top: 10px;
      margin-bottom: 5px;
    }

    nav{
      position: fixed;
      top: 0;
      right: -100%;
      width: 100%;
      height: 100vh;
      background: white;
      z-index: 1001;
    }

    .toggle-button{
      position: fixed;
      top: 5px;
      right: 15px;
      width: 50px;
      height: 50px;
      cursor: pointer;
      display: flex;
      justify-content: center;
      align-items: center;
      z-index: 1002;
    }

    .toggle-button span:nth-child(1) {
      width: 25px;
      top: 10px;
    }

    .toggle-button span:nth-child(2) {
      width: 25px;
      top: 18px;
    }

    .toggle-button span:nth-child(3) {
      width: 25px;
      top: 26px;
    }

    .footer-main{
        display: block;
    }

    .pc-br{
        display: none;
    }

    .GoogleMap{
        display: none;
    }

    .Map-URL{
        display: inline;
    }
}